﻿using System;
using System.Collections.Generic;
namespace Command.Ejm1
{

    /// <summary>
    /// Representa un item de una libreria
    /// </summary>
    public class Item
    {
        /// <summary>
        /// Almacena las categorias del Iem en forma <clave, valor>
        /// </summary>
        private Dictionary<string, Category> Categories;
        /// <summary>
        /// Descripcion del item
        /// </summary>
        private String Desc;

        public Item(String s)
        {
            Desc = s;
            Categories = new Dictionary<string, Category>();
        }

        public String GetDesc()
        {
            return Desc;
        }

        public void Add(Category cat)
        {
            Categories.Add(cat.GetDesc(), cat);
        }

        public void Delete(Category cat)
        {
            Categories.Remove(cat.GetDesc());
        }
    }
}
